package com.diss.omppapp.repositories;

import com.diss.omppapp.entities.UserClassEntity;
import org.springframework.data.repository.CrudRepository;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Optional;

@Repository
public interface UserClassEntityRepository extends CrudRepository<UserClassEntity, String> {
    Optional<List<UserClassEntity>> findByUsername(String username);
    Optional<List<UserClassEntity>> findByClassCode(String classCode);
}
