package com.diss.omppapp.api;

import com.diss.omppapp.entities.ClassEntity;
import com.diss.omppapp.services.UserInfoService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.http.MediaType;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.ResponseBody;
import org.springframework.web.bind.annotation.RestController;

import java.util.ArrayList;
import java.util.List;
import java.util.Map;

@RestController
public class UserInfoController {

    @Autowired
    private UserInfoService userInfoService;

    @PostMapping(value = "/getClassList",consumes = MediaType.APPLICATION_JSON_VALUE, produces = MediaType.APPLICATION_JSON_VALUE)
    @ResponseBody
    public List<ClassEntity> getClasses(@RequestBody Map<String,String> id) {
        if(id.isEmpty()) {
            return new ArrayList<>();
        }
        return userInfoService.getClassList(id.get("id"));
    }
}
