package com.diss.omppapp.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "omp_class")
public class ClassEntity implements Serializable {

    @Id
    public String classCode;

    @Column
    public String classname;

    @Column
    public String description;

    public ClassEntity(){
    }

    public ClassEntity(String class_code, String classname, String description){
        this.classCode = class_code;
        this.classname = classname;
        this.description = description;
    }

}
