package com.diss.omppapp.entities;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;

@Entity
@Table(name = "omp_user")
public class UserEntity implements Serializable {

    @Id
    public String username;

    @Column
    public String password;

    @Column
    public String email;

    @Column
    public boolean isLecturer;

    public UserEntity() {
    }

    public UserEntity(String username, String password, String email, boolean isLecturer){
        this.username = username;
        this.password = password;
        this.email = email;
        this.isLecturer = isLecturer;
    }

    public boolean isEmpty() {
        return this.username.isEmpty() && this.password.isEmpty() && this.email.isEmpty();
    }
}
